rpm 4.11.1-rc1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Macros | Typedefs | Functions | Variables
system.h File Reference
`#include <sys/file.h>`
`#include "rpmio/rpmutil.h"`
`#include "misc/fnmatch.h"`
`#include <dlfcn.h>`
Include dependency graph for system.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros
#define | dirent direct
#define | NLENGTH(direct) ((direct)->d_namlen)
#define | PATH_MAX 256
#define | freecon(_c)
#define | setfilecon(_fn, _c) (-1)
#define | lsetfilecon(_fn, _c) (-1)
#define | is_selinux_enabled() (0)
#define | matchpathcon_init(_fn) (-1)
#define | matchpathcon_fini() (0)
#define | matchpathcon(_fn, _fm, _c) (-1)
#define | selabel_lookup_raw(_hnd, _scon, _key, _type) (-1)
#define | selinux_file_context_path() (0)
#define | rpm_execcon(_v, _fn, _av, _envp) (0)
#define | xmalloc(_size) rmalloc((_size))
#define | xcalloc(_nmemb, _size) rcalloc((_nmemb), (_size))
#define | xrealloc(_ptr, _size) rrealloc((_ptr), (_size))
#define | xstrdup(_str) rstrdup((_str))
#define | _free(_ptr) rfree((_ptr))
#define | __progname program_name
#define | setprogname(pn)
#define | _(Text) Text
#define | N_(Text) Text

## Typedefs
typedef char * | security_context_t

## Functions
char * | stpcpy (char *dest, const char *src)
char * | stpncpy (char *dest, const char *src, size_t n)

## Variables
const char * | program_name

## Macro Definition Documentation

#define _ | ( |  | Text | ) | Text

Definition at line 135 of file system.h.

Referenced by argerror(), build(), buildArgCallback(), buildForTarget(), checkPassPhrase(), checkSpec(), doSign(), getTarSpec(), initPipe(), isSpecFile(), main(), printBanner(), and printVersion().

#define __progname program_name

Definition at line 121 of file system.h.

Referenced by argerror(), and main().

#define _free | ( |  | _ptr | ) | rfree((_ptr))

Definition at line 112 of file system.h.

Referenced by main().

#define dirent direct

Definition at line 54 of file system.h.

#define freecon | ( |  | _c | ) |

Definition at line 88 of file system.h.

#define is_selinux_enabled | ( |  | ) | (0)

Definition at line 93 of file system.h.

#define lsetfilecon | ( |  | _fn,
|  |  | _c
| ) |  | (-1)

Definition at line 91 of file system.h.

#define matchpathcon | ( |  | _fn,
|  |  | _fm,
|  |  | _c
| ) |  | (-1)

Definition at line 97 of file system.h.

#define matchpathcon_fini | ( |  | ) | (0)

Definition at line 96 of file system.h.

#define matchpathcon_init | ( |  | _fn | ) | (-1)

Definition at line 95 of file system.h.

#define N_ | ( |  | Text | ) | Text

Definition at line 138 of file system.h.

#define NLENGTH | ( |  | direct | ) | ((direct)->d_namlen)

Definition at line 55 of file system.h.

#define PATH_MAX 256

Definition at line 77 of file system.h.

#define rpm_execcon | ( |  | _v,
|  |  | _fn,
|  |  | _av,
|  |  | _envp
| ) |  | (0)

Definition at line 103 of file system.h.

#define selabel_lookup_raw | ( |  | _hnd,
|  |  | _scon,
|  |  | _key,
|  |  | _type
| ) |  | (-1)

Definition at line 99 of file system.h.

#define selinux_file_context_path | ( |  | ) | (0)

Definition at line 101 of file system.h.

#define setfilecon | ( |  | _fn,
|  |  | _c
| ) |  | (-1)

Definition at line 90 of file system.h.

#define setprogname | ( |  | pn | ) |

Value:
{ if ((__progname = strrchr(pn, '/')) != NULL) __progname++; \
else __progname = pn; \
}

Definition at line 122 of file system.h.

Referenced by main().

#define xcalloc | ( |  | _nmemb,
|  |  | _size
| ) |  | rcalloc((_nmemb), (_size))

Definition at line 109 of file system.h.

#define xmalloc | ( |  | _size | ) | rmalloc((_size))

Definition at line 108 of file system.h.

Referenced by main().

#define xrealloc | ( |  | _ptr,
|  |  | _size
| ) |  | rrealloc((_ptr), (_size))

Definition at line 110 of file system.h.

Referenced by main().

#define xstrdup | ( |  | _str | ) | rstrdup((_str))

Definition at line 111 of file system.h.

Referenced by buildArgCallback(), and buildForTarget().

## Typedef Documentation

typedef char* security_context_t

Definition at line 86 of file system.h.

## Function Documentation

char* stpcpy | ( | char * | dest,
|  | const char * | src
| ) |  |

char* stpncpy | ( | char * | dest,
|  | const char * | src,
|  | size_t | n
| ) |  |

## Variable Documentation

const char* program_name

Definition at line 4 of file rpm2cpio.c.